ChangeSet 1.865.28.5, 2002/12/19 12:09:18-08:00, oliver@neukum.name

[PATCH] USB: more spinlock work for speedtouch

   - simple spinlocks will do


diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Sun Dec 22 00:41:25 2002
+++ b/drivers/usb/misc/speedtouch.c	Sun Dec 22 00:41:25 2002
@@ -701,7 +701,6 @@
 {
 	struct udsl_data_ctx *ctx;
 	struct udsl_instance_data *instance;
-	unsigned long flags;
 
 	if (!urb)
 		return;
@@ -723,9 +722,9 @@
 		skb_put (ctx->skb, urb->actual_length);
 
 		/* queue the skb for processing and wake the SAR */
-		spin_lock_irqsave (&instance->recvqlock, flags);
+		spin_lock (&instance->recvqlock);
 		skb_queue_tail (&instance->recvqueue, ctx->skb);
-		spin_unlock_irqrestore (&instance->recvqlock, flags);
+		spin_unlock (&instance->recvqlock);
 		wake_up (&udsl_wqh);
 		/* get a new skb */
 		ctx->skb = dev_alloc_skb (UDSL_RECEIVE_BUFFER_SIZE);
